# QSql Namespace Reference

### [com.trolltech.qt.sql package]

### Constructor

This class has no public constructors. Calling the constructor function will cause a TypeError.

### Constructor Properties

- prototype: The QSql prototype object
- HighPrecision = 0
- LowPrecisionInt32 = 0x01
- LowPrecisionInt64 = 0x02
- LowPrecisionDouble = 0x04
- NumericalPrecisionPolicy( value )
- AfterLastRow = -2
- BeforeFirstRow = -1
- Location( value )
- In = 0x00000001
- Out = 0x00000002
- InOut = In|Out
- Binary = 0x00000004
- ParamTypeFlag( value )
- ParamType( value1, value2, ... )
- Tables = 0x01
- SystemTables = 0x02
- Views = 0x04
- AllTables = 0xff
- TableType( value )